
import ActionType from '../../actions/types'
// khởi tạo một init state
const initialState = {
    otVoucher: [],
    isLoading: false,
}

// bắt từng action type
function GetOtVoucherUser(state = initialState, action) {
    switch (action.type) {
        case ActionType.START_GET_OT_USER:
            return {
                ...state,
                isLoading: true,
            }

        case ActionType.GET_OT_USER_SUCCESS:
            return {
                otVoucher: action.data,
                isLoading: false,
            }
        case ActionType.GET_OT_USER_FAILED:
            return {
                ...state,
                isLoading: false,
            }
        default:
            return state
    }
}

export default GetOtVoucherUser
